%define base_name	kde-icons
%define theme_name	lila
%define version		0.7
%define name		%{base_name}-%{theme_name}
%define release		1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Lila icons for KDE Desktop
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{theme_name}svg-%{version}.tar.bz2
URL:		http://kde-look.org/content/show.php?content=11492
Requires:	kdebase kdegraphics-ksvg
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Lila is a port of a GNOME theme, also called Lila, that can be found here:
http://programmer-art.org/index.php?page=gentoo
The package contains PNG & SVG icons and a colour scheme.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}svg

%build

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/apps/kdisplay/color-schemes/
install -m 644 lila.kcsrc $RPM_BUILD_ROOT/%{_datadir}/apps/kdisplay/color-schemes/ 
cp -r 16x16/ 22x22/ 32x32/ 48x48/ scalable/ 64x64/ index.desktop $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_datadir}/icons/%{theme_name}-%{version}/*
%{_datadir}/apps/kdisplay/color-schemes/*.kcsrc

%changelog
* Sun May 02 2004 Laurent Culioli <laurent@mandrake.org> 0.7-1mdk
- 0.7

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 0.6-1mdk
- new kde icon theme
